Package net.commoble.exmachina.api

# Enum Class NodeShape.Cube

java.lang.Object
java.lang.Enum<NodeShape.Cube>
net.commoble.exmachina.api.NodeShape.Cube

All Implemented Interfaces:
  `Serializable`, `Comparable<NodeShape.Cube>`, `Constable`, `NodeShape`

Enclosing interface:
  `NodeShape`

public static enum NodeShape.Cube extends Enum<NodeShape.Cube> implements NodeShape
NodeShape which encompasses an entire BlockPos

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Nested classes/interfaces inherited from interface net.commoble.exmachina.api.NodeShape

`NodeShape.Cube, NodeShape.Side, NodeShape.SideSide`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`INSTANCE`
the Cube

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isValidFor(NodeShape otherNode)`
Returns true if this targeted NodeShape is usable when a preferred node is requested for a connection.
`static NodeShape.Cube`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static NodeShape.Cube[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### INSTANCE

public static final NodeShape.Cube INSTANCE
the Cube

## Method Details

### values

public static NodeShape.Cube[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static NodeShape.Cube valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### isValidFor

public boolean isValidFor(NodeShape otherNode)
Description copied from interface: `NodeShape`
Returns true if this targeted NodeShape is usable when a preferred node is requested for a connection.

Specified by:
  `isValidFor` in interface `NodeShape`
Parameters:
  `otherNode` - NodeShape which another node is trying to form a connection to
Returns:
  true if this targeted NodeShape is usable when a preferred node is requested for a connection